import initCtx from "@/utils/ctx.js";

export default function () {
	initCtx(this)

	this.value = ""
	if (this.ip && this.ip.length > 0) {
		this.value = this.ip
	}

	this.type = "ip"
	this.eventLevel = (this.listType == "white") ? "debug" : "critical"
	this.method = "single"
}